function y = subbackground( x )
%
% SUBBACKGROUND( x ) - subtract linear background from signal x
%

  n = size( x, 2 );

  % use linear regression to compute and remove linear background
  b = ( n*[1:n]*x' - sum([1:n])*sum(x) ) / (n*[1:n]*[1:n]' - sum([1:n])^2);
  a = mean(x) - b * mean([1:n]);
  background = a + b * [1:n];
  y = x - background;

end
