function [x,y] = fftspect( x, m )
% FFTSPECT( x, m ) - compute an m-point spectrum of signal x using fft
%

  spect = zeros( 1, 2 * m );
  spect( 1 : size(x, 2) ) = x;
  spect = fft( spect );
  spect = spect .* conj( spect );
  y = spect( 1:m )';
  x = [0:m-1]' * (0.5/m);

end
