function a = forback( x, m )
%
% FORBACK(x, m) - compute m linear prediction coefficients for signal x
%


  n = size(x,2);

  Xfor = [];
  for i = m:n-1
    Xfor = [ Xfor
             x(i:-1:i-m+1 ) ];
  end

  Xbac = [];
  for i = 2:n-m+1
    Xbac = [ Xbac
             x(i:i+m-1 ) ];
  end

  Xforback = [ Xfor
               Xbac ];

  yforback = [ x(m+1:n)'
               x(1:n-m)' ];

  % least squares solution
  a = pinv( Xforback ) * yforback;
  a = a';

end
